//
// This file is auto-generated by script docgen.py.
// DO NOT EDIT BY HAND!
//
[[command_fset_fset]]
* `+fset+`: Optionen von WeeChat und Erweiterungen schnell anpassen

----
/fset  -bar
       -refresh
       -up|-down [<number>]
       -left|-right [<percent>]
       -go <line>|end
       -toggle
       -add [<value>]
       -reset
       -unset
       -set
       -setnew
       -append
       -mark
       -format
       -export [-help|-nohelp] <filename>
       <filter>

       -bar: fügt eine Hilfe in einer Bar hinzu
   -refresh: der Bildschirm wird neu gezeichnet (Befehl: /window refresh)
        -up: bewegt die ausgewählte Zeile um die Anzahl an Zeilen nach oben
      -down: bewegt die ausgewählte Zeile um die Anzahl an Zeilen nach unten
      -left: der fset Buffer wird wird prozentual entsprechend der Fensterbreite nach links verschoben
     -right: der fset Buffer wird wird prozentual entsprechend der Fensterbreite nach rechts verschoben
        -go: wählt eine Zeile mit der entsprechenden Nummer aus, die erste Zeile beginnt mit 0 (mit "end" wird die letzte Zeile ausgewählt)
    -toggle: der Wert einer Variable vom Typ boolean wird umgeschaltet
       -add: addiert den "Wert" (kann auch eine negative Zahl sein) bei Integer und Farbe, für andere Typen wird die Variable in die Eingabezeile kopiert und der Cursor positioniert (bei negativem Wert wird der Cursor an Beginn der Variable positioniert, bei positivem Wert wird der Cursor an das Ende gesetzt)
     -reset: löscht den Wert von der Option
     -unset: Option wird zurückgesetzt
       -set: der /set Befehl wird in die Eingabezeile kopiert um den Wert der Option zu editieren (der Cursor wird auf den Anfang des Wertes gesetzt)
    -setnew: der /set Befehl wird in die Eingabezeile kopiert um den Wert add the /set command in input to edit a new value for the option
    -append: der /set Befehl wird in die Eingabezeile kopiert um einen zusätzlichen Wert einzugeben (der Cursor wird an das Ende der Variable positioniert)
      -mark: Markierung umschalten
    -format: es wird zum nächsten verfügbaren Format gewechselt
    -export: exportiert die Optionen und Werte, welche angezeigt werden, in eine Datei (jede Zeile hat das Format: "/set Name Wert" oder "/unset Name")
      -help: der Hilfstext für eine Option wird in die exportierte Datei geschrieben (siehe /help fset.look.export_help_default)
    -nohelp: der Hilfetext für eine Option wird nicht in die exportierte Datei geschrieben (siehe /help fset.look.export_help_default)
     filter: setzt einen neuen Filter um nur ausgewählte Optionen anzuzeigen (die Filterfunktion kann direkt in der Eingabezeile eingegeben werden); mögliche Formate sind:
               *       alle Optionen werden angezeigt  (keine Filterung)
               xxx     zeigt nur Optionen mit "xxx" im Namen
               f:xxx   zeigt nur Konfigurationsdatei "xxx" an
               t:xxx   zeigt nur Optionen des entsprechenden Typs, "xxx" (bool/int/str/col)
               d       zeigt nur Optionen die verändert wurden
               d:xxx   zeigt nur Optionen die verändert wurden und "xxx" im Namen haben
               d=xxx   zeigt nur veränderte Optionen, die "xxx" als Wert haben
               d==xxx  zeigt nur veränderte Optionen die exakt "xxx" als Wert haben
               =xxx    zeigt nur Optionen mit "xxx" als Wert
               ==xxx   zeigt nur Optionen die exakt "xxx" als Wert haben
               c:xxx   zeigt nur Optionen auf die die evaluierte Bedingung "xxx" zutrifft, folgende Variable können verwendet werden: file, section, option, name, parent_name, type, type_en, type_short (bool/int/str/col), type_tiny (b/i/s/c), default_value, default_value_undef, value, quoted_value, value_undef, value_changed, parent_value, min, max, description, description2, description_en, description_en2, string_values

Zeilen werden mittels evaluierten Ausdrücken dargestellt (siehe /help eval für das Format), dazu werden diese Optionen verwendet:
  - fset.format.option1: erstes Format für eine Option
  - fset.format.option2: zweites Format für eine Option

Die nachfolgenden Variablen können in den Optionen genutzt werden:
  - Optionsdaten, mit Farbe und  durch Leerzeichen auf der rechten Seite aufgefüllt:
    - ${file}: Konfigurationsdatei (zum Beispiel "weechat" oder "irc")
    - ${section}: Sektion
    - ${option}: Name der Option
    - ${name}: vollständiger Name der Option (file.section.option)
    - ${parent_name}: übergeordneter Name der Option
    - ${type}: Optionstyp (übersetzt)
    - ${type_en}: Optionstyp (auf  englisch)
    - ${type_short}: Optionstyp Kurzform (bool/int/str/col)
    - ${type_tiny}: Optionstyp klein (b/i/s/c)
    - ${default_value}: Standardwert einer Option
    - ${default_value_undef}: "1" falls Standardwert null ist, andernfalls "0"
    - ${value}: Optionswert
    - ${value_undef}: "1" wenn Wert null ist, andernfalls "0"
    - ${value_changed}: "1" wenn Wert abweichend vom Standardwert ist, andernfalls "0"
    - ${value2}: Optionswert, mit geerbtem Wert falls null
    - ${parent_value}: übergeordneter Optionswert
    - ${min}: minimaler Wert
    - ${max}: maximaler Wert
    - ${description}: Beschreibung der Option (übersetzt)
    - ${description2}: Beschreibung der Option (übersetzt), "(keine Beschreibung)" (übersetzt) falls keine Beschreibung vorhanden
    - ${description_en}: Beschreibung der Option (in englisch)
    - ${description_en2}: Beschreibung der Option (in englisch), "(keine Beschreibung)" falls keine Beschreibung vorhanden
    - ${string_values}: Zeichenketten sind für Integer Optionen erlaubt
    - ${marked}: "1" wenn Option markiert ist, andernfalls "0"
    - ${index}: Index der Option in der Liste
  - Optionsdaten, mit Farbe aber ohne Leerzeichen:
    - selbe Namen, vorangestellt mit Unterstrich, zum Beispiel: ${_name}, ${_type}, ...
  - Optionsdaten, Rohformat (keine Farben/Leerzeichen):
    - selbe Namen, mit zwei vorangestellten Unterstrichen, zum Beispiel: ${__name}, ${__type}, ...
  - Optionsdaten, nur Leerzeichen:
    - selbe Namen, mit vorangestelltem "empty_", zum Beispiel: ${empty_name}, ${empty_type}
  - andere Daten:
    - ${selected_line}: "1" wenn Zeile ausgewählt ist, andernfalls "0"
    - ${newline}: fügt einen Zeilenumbruch an diese Position, dadurch wird die Option über mehrere Zeilen angezeigt

Tasten und Eingaben um sich im fset Buffer zu bewegen:
  hoch                      eine Zeile nach oben
  runter                    eine Zeile nach unten
  pgup                      eine Seite nach oben
  pgdn                      eine Seite nach unten
  alt-home          <<      springe zur ersten Zeile
  alt-end           >>      springe zur letzten Zeile
  F11               <       horizontal nach links scrollen
  F12               >       horizontal nach rechts scrollen

Tasten und Eingaben um Optionen im fset Buffer zu editieren:
  alt+space         t       boolean Werte umschalten
  alt+'-'           -       subtrahiert 1 vom Wert, bei Integer/Farboptionen, bei anderen Typen kann der Wert editiert werden
  alt+'+'           +       addiert 1 zum Wert, bei Integer/Farboptionen, bei anderen Typen kann der Wert editiert werden
  alt+f, alt+r      r       Wert resetten
  alt+f, alt+u      u       Wert zurücksetzen
  alt+enter         s       Wert setzen
  alt+f, alt+n      n       ein neuer Wert wird gesetzt, der alte Wert wird gelöscht
  alt+f, alt+a      a       dem Wert was hinzufügen
  alt+','           ,       markieren/demarkieren  einer Option
  shift+hoch                eine Zeile nach oben und markiert/demarkiert Option
  shift+runter              markiert/demarkiert Option und geht eine Zeile nach unten
                    m:xxx   markiert Optionen welche angezeigt werden und auf die der Filter "xxx" zutrifft (jeder Filter für Option oder Wert ist erlaubt, siehe Filterung weiter oben)
                    u:xxx   demarkiert Optionen welche angezeigt werden und auf die der Filter "xxx" zutrifft (jeder Filter für Option oder Wert ist erlaubt, siehe Filterung weiter oben)

weitere Tasten und Eingaben im fset Buffer:
  ctrl+L                    der Bildschirm wird neu gezeichnet (Befehl: /fset -refresh)
                    $       Optionen neu einlesen (markierte Optionen werden beibehalten)
                    $$      Optionen neu einlesen (Markierungen von Optionen werden dabei gelöscht)
  alt+p             p       umschalten zwischen Beschreibung von Erweiterungen (plugins.desc.*)
  alt+v             v       Hilfe-Bar Ein-/Ausschalten
                    s:x,y   sortiert Optionen nach Bereichen x,y (siehe /help fset.look.sort)
                    s:      setzt Sortierung wieder auf Standardwerte (siehe /help fset.look.sort)
                    w:xxx   exportiert Optionen in Datei "xxx"
                    w-:xxx  exportiert Optionen in Datei "xxx", ohne Hilfstext
                    w+:xxx  exportiert Optionen in Datei "xxx", mit Hilfstext
  ctrl+X            x       umschalten zwischen der Darstellung von Optionen
                    q       schließt fset Buffer

Mausaktionen im fset Buffer:
  Mausrad hoch/runter              Zeile hoch/runter
  linke Maustaste                  Zeile auswählen
  rechte Maustaste                 boolean umschalten (an/aus) oder editiere den Wert einer Option
  rechte Maustaste + links/rechts  Integer/Farbwerte werden erhöht/verringert, andere Variabletypen werden in die Eingabezeile kopiert
  rechte Maustaste + hoch/runter   markieren/demarkieren von mehreren Optionen

Hinweis: Leerzeichen am Anfang der Eingabezeile werden ignoriert und der folgende Text wird als Filter verwendet. Ein Beispiel: "q" schließt den fset Buffer wobei hingegen " q" alle Optionen anzeigt die ein "q" im Namen beinhalten.

Beispiele:
  zeigt alle IRC Optionen an die verändert wurden:
    /fset d:irc.*
  zeigt alle Optionen die "nicklist" im Namen tragen:
    /fset nicklist
  zeigt alle Werte die "red" beinhalten:
    /fset =red
  zeigt alle Werte die exakt "red" lauten:
    /fset ==red
  zeigt alle Integer-Optionen der IRC-Erweiterung:
    /fset c:${file} == irc && ${type_en} == integer
----
